#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long a;
    cin>>a;
    if(a%2==1){
        cout<<7;
        a=a-3;
        while(a>0){
            cout<<1;
            a=a-2;
        }
    }else{
        while(a>0){
            cout<<1;
            a=a-2;
        }
    }
}
